Index: soft/giet_vm/transpose/main.c
===================================================================
--- soft/giet_vm/transpose/main.c	(revision 307)
+++ soft/giet_vm/transpose/main.c	(revision 317)
@@ -100,12 +100,17 @@
         }
 
-        barrier_init( &barrier_0, ntasks );
-        barrier_init( &barrier_1, ntasks );
-        barrier_init( &barrier_2, ntasks );
-        barrier_init( &barrier_3, ntasks );
-        barrier_init( &barrier_4, ntasks );
-
-        giet_shr_printf("\n*** Proc [%d,%d,%d] completes barrier init at cycle %d\n",
+        if ( ntasks > 1 )
+        {
+            barrier_init( &barrier_0, ntasks );
+            barrier_init( &barrier_1, ntasks );
+            barrier_init( &barrier_2, ntasks );
+            barrier_init( &barrier_3, ntasks );
+            barrier_init( &barrier_4, ntasks );
+        }
+
+        giet_shr_printf("\n[TRANSPOSE] Proc [%d,%d,%d] completes barrier init at cycle %d\n",
                         0, 0, 0, giet_proctime() );
+        giet_shr_printf(" - nclusters = %d\n", nclusters );
+        giet_shr_printf(" - ntasks    = %d\n", ntasks );
 
         init_ok = 0;
@@ -124,5 +129,5 @@
         // get heap vaddr in cluster[0,0]
         unsigned int heap_base;         
-        giet_vobj_get_vbase( "transpose", "heap_0_0", &heap_base );
+        giet_vobj_get_vbase( "transpose", "trsp_heap_0_0", &heap_base );
  
         // allocate buffers in cluster[x,y]
@@ -130,5 +135,5 @@
         buf_out[cluster_id] = buf_in[cluster_id] + NN*NN/nclusters;
 
-        giet_shr_printf("\n*** Proc [%d,%d,%d] completes buffer allocation at cycle %d\n"
+        giet_shr_printf("\n[TRANSPOSE] Proc [%d,%d,%d] completes buffer allocation at cycle %d\n"
                         " - buf_in  = %x\n"
                         " - buf_out = %x\n",
@@ -147,8 +152,14 @@
             giet_exit(" open() failure");
         }
+        else
+        {
+            giet_shr_printf("\n[TRANSPOSE] Processor[%d,%d,%d]"
+                            " open file misc/images.raw\n",
+                            x, y, lpid );
+        }
     }
 
-    ///////////////////////////
-    barrier_wait( &barrier_0 );
+    /////////////////////////////////////////////
+    if ( ntasks > 1 ) barrier_wait( &barrier_0 );
 
     // Main loop (on images)
@@ -167,5 +178,6 @@
                            ((image*nblocks) + ((nblocks*cluster_id)/nclusters)) );
 
-            giet_shr_printf("\n*** Proc [%d,%d,0] completes load for image %d at cycle %d\n",
+            giet_shr_printf("\n[TRANSPOSE] Proc [%d,%d,0] completes load"
+                            "  for image %d at cycle %d\n",
                             x, y, image, giet_proctime() );
         }
@@ -173,6 +185,6 @@
         LOAD_END[cluster_id][lpid] = giet_proctime();
 
-        ///////////////////////////
-        barrier_wait( &barrier_1 );
+        /////////////////////////////////////////////
+        if ( ntasks > 1 ) barrier_wait( &barrier_1 );
 
         // parallel transpose from buf_in to buf_out
@@ -221,12 +233,13 @@
         if ( lpid == 0 )
         {
-            giet_shr_printf("\n*** proc [%d,%d,0] completes transpose for image %d at cycle %d\n", 
-                        x, y, image, giet_proctime() );
+            giet_shr_printf("\n[TRANSPOSE] proc [%d,%d,0] completes transpose"
+                            " for image %d at cycle %d\n", 
+                            x, y, image, giet_proctime() );
 
         }
         TRSP_END[cluster_id][lpid] = giet_proctime();
 
-        ///////////////////////////
-        barrier_wait( &barrier_2 );
+        /////////////////////////////////////////////
+        if ( ntasks > 1 ) barrier_wait( &barrier_2 );
 
         // optional parallel display from local buf_out to frame buffer
@@ -245,5 +258,6 @@
             if ( lpid == 0 )
             {
-                giet_shr_printf("\n*** Proc [%d,%d,0] completes display for image %d at cycle %d\n",
+                giet_shr_printf("\n[TRANSPOSE] Proc [%d,%d,0] completes display"
+                                " for image %d at cycle %d\n",
                                 x, y, image, giet_proctime() );
             }
@@ -251,6 +265,6 @@
             DISP_END[cluster_id][lpid] = giet_proctime();
 
-            ///////////////////////////
-            barrier_wait( &barrier_3 );
+            /////////////////////////////////////////////
+            if ( ntasks > 1 ) barrier_wait( &barrier_3 );
         }
 
@@ -283,10 +297,12 @@
             if ( success ) 
             {
-                giet_shr_printf("\n*** proc [%d,%d,0] : checksum OK for image %d\n",
+                giet_shr_printf("\n[TRANSPOSE] proc [%d,%d,0] checksum OK"
+                                " for image %d\n",
                                 x, y, image );
             }
             else
             {
-                giet_shr_printf("\n*** proc [%d,%d,0] : checksum KO for image %d\n",
+                giet_shr_printf("\n[TRANSPOSE] proc [%d,%d,0] checksum KO"
+                                " for image %d\n",
                                 x, y, image );
             }
@@ -360,5 +376,5 @@
         // all tasks wait instrumentation completion 
         //////////////////////////////////////////////////
-        barrier_wait( &barrier_4 );
+        if ( ntasks > 1 ) barrier_wait( &barrier_4 );
 
     } // end while image      
